MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026945Community[OCCT] OCCT:Visualizationpublic2015-12-02 13:102016-04-20 15:50
ReporterVico Liang 
Assigned Tobugmaster 
PrioritylowSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 6.9.1 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026945: Visualization - selection does not work after closing one of local contexts in stack
DescriptionBelow code snippet can reproduce the issue:

aContext->OpenLocalContext();
aContext->ActivateStandardMode(TopAbs_FACE);
{
     int aLocalIndex = aContext->OpenLocalContext();
     aContext->ActivateStandardMode(TopAbs_VERTEX);
     aContext->CloseLocalContext(aLocalIndex);
}

Firstly open a local context to select face.
And then open the second local context to select vertex,
After that close the second local context, it should return to the first local context.
Steps To ReproduceaContext->OpenLocalContext();
aContext->ActivateStandardMode(TopAbs_FACE);
int aLocalIndex = aContext->OpenLocalContext();
aContext->ActivateStandardMode(TopAbs_VERTEX);
aContext->CloseLocalContext(aLocalIndex);
TagsNo tags attached.
Test case numberbugs vis bug26945
Attached Files

- Relationships

-  Notes
(0048754)
kgv (developer)
2015-12-04 17:07

Dear Vico,

please note, that Local Context will be deprecated in OCCT 7.0.0.
The stack of Local Contexts is one of the weirdest conception in OCCT which usually only complicates application logic (being intended to simplify it).

So it is better porting application to do not use it at all (local selection is now possible without opening local context).
(0048763)
Vico Liang (developer)
2015-12-05 13:20

Dear kgv,

That's a great improvement to drop the local context conception. That's fine, i will port to OCCT7.0.0.

So i think it's no need to do any fix for this.
(0049065)
git (administrator)
2015-12-11 19:50

Branch CR26945 has been created by vpa.

SHA-1: ead3cfaff661950b5312b0b05dd57f810f06ee82


Detailed log of new commits:

Author: vpa
Date: Fri Dec 11 19:49:40 2015 +0300

    0026945: Visualization - selection does not work after closing one of local contexts in stack
    
    - added method to restore selection of local context;
    - activated standard modes are added to local status now;
    - test case for issue 0026945
(0049066)
vpa (developer)
2015-12-11 19:52

Dear Kirill,

please review patch in branch CR26945.
(0049067)
git (administrator)
2015-12-11 20:04

Branch CR26945 has been updated forcibly by vpa.

SHA-1: 5804772ef32b97cc7583e9fa198c29960bd8aa5b
(0049068)
kgv (developer)
2015-12-11 20:15

Please test the patch.
(0049163)
apv (tester)
2015-12-15 16:11

Dear BugMaster,

Branch CR26945 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 5804772ef32b97cc7583e9fa198c29960bd8aa5b

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 134 (134 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs vis bug26945 - OK
http://occt-tests/CR26945-master-occt-64/Debian70-64/bugs/vis/bug26945.html [^]
http://occt-tests/CR26945-master-occt-64/Windows-64-VC10/bugs/vis/bug26945.html [^]

Testing on Linux:
Total MEMORY difference: 93231184 / 94050539 [-0.87%]
Total CPU difference: 19495.979999999894 / 19278.349999999908 [+1.13%]

Testing on Windows:
Total MEMORY difference: 56332161 / 56349651 [-0.03%]
Total CPU difference: 17713.726348799228 / 17820.555833598894 [-0.60%]
(0053033)
git (administrator)
2016-04-17 14:01

Branch CR26945 has been deleted by kgv.

SHA-1: 5804772ef32b97cc7583e9fa198c29960bd8aa5b

- Related Changesets
occt: master 325e442b
Timestamp: 2015-12-11 17:04:19
Author: vpa
Committer: bugmaster
Details ] Diff ]
0026945: Visualization - selection does not work after closing one of local contexts in stack

- added method to restore selection of local context;
- activated standard modes are added to local status now;
- test case for issue 0026945
mod - src/AIS/AIS_InteractiveContext_2.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.hxx Diff ] File ]
mod - src/AIS/AIS_LocalContext_1.cxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
add - tests/bugs/vis/bug26945 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-12-02 13:10 Vico Liang New Issue
2015-12-02 13:10 Vico Liang Assigned To => kgv
2015-12-04 17:07 kgv Note Added: 0048754
2015-12-04 17:21 kgv Priority normal => low
2015-12-04 17:21 kgv Target Version 7.0.0 => 7.1.0
2015-12-05 13:20 Vico Liang Note Added: 0048763
2015-12-11 19:41 vpa Summary Select nothing in local context => Visualization - selection does not work after closing one of local contexts in stack
2015-12-11 19:50 git Note Added: 0049065
2015-12-11 19:52 vpa Note Added: 0049066
2015-12-11 19:52 vpa Assigned To kgv => vpa
2015-12-11 19:52 vpa Status new => resolved
2015-12-11 19:52 vpa Steps to Reproduce Updated View Revisions
2015-12-11 19:52 vpa Status resolved => assigned
2015-12-11 19:52 vpa Assigned To vpa => kgv
2015-12-11 19:52 vpa Status assigned => resolved
2015-12-11 20:04 git Note Added: 0049067
2015-12-11 20:15 kgv Note Added: 0049068
2015-12-11 20:15 kgv Assigned To kgv => bugmaster
2015-12-11 20:15 kgv Status resolved => reviewed
2015-12-11 20:15 kgv Target Version 7.1.0 => 7.0.0
2015-12-14 18:41 apv Assigned To bugmaster => apv
2015-12-15 15:30 apv Test case number => bugs vis bug26945
2015-12-15 16:11 apv Note Added: 0049163
2015-12-15 16:11 apv Assigned To apv => bugmaster
2015-12-15 16:11 apv Status reviewed => tested
2015-12-18 15:25 bugmaster Changeset attached => occt master 325e442b
2015-12-18 15:25 bugmaster Status tested => verified
2015-12-18 15:25 bugmaster Resolution open => fixed
2016-04-17 14:01 git Note Added: 0053033
2016-04-20 15:42 user533 Fixed in Version => 7.0.0
2016-04-20 15:50 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker